PHP Manual
Prev |  | Next

# runkit_function_copy

(PECL)

runkit_function_copy -- Copy a function to a new function name

## Description

bool runkit_function_copy ( string funcname, string targetname )

## Parameters

`funcname`

  Name of existing function

`targetname`

  Name of new function to copy definition to

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. A runkit_function_copy() example

`<?php function original() { echo "In a function\n"; } runkit_function_copy('original','duplicate'); original(); duplicate(); ?>`

The above example will output:

    In a function
    In a function

## See Also

runkit_function_add()
runkit_function_redefine()
runkit_function_rename()
runkit_function_remove()

Prev | Home | Next
runkit_function_add | Up | runkit_function_redefine